/*****
 NAME
 	cbutton.m - source code for CButton class
 VERSION
 	$Id$
 CHANGELOG
 	$Log$
 */

#include <coconut/gtk/cbutton.h>
#include <coconut/gtk/clabel.h>
#include <coconut/csystem.h>

@implementation CButton

- init
{
	GtkWidget *	button ;
	button = gtk_button_new() ;
	[CSystem checkPtr: button] ;
	return [super initBin: widget_button widget: button] ;
}

- initButton: (const char *) title ;
{
	id		result ;
	id <PWidget>	child ;
	if((result = [self init]) != nil){
		child = [[CLabel alloc] initLabel: title] ;
		[self appendWidget: child] ;
	}
	return result ;
}

@end

